摘要: 这边之前的大多数项目都用的java,而自己用的c++,等到快要上线的时候才发现线上机器的gcc和libc的版本都巨低,跟自己测试开发用的环境不兼容,编译出的c++可执行文件没法运行。解决c++程序的移植问题费了挺大周章,如下是一个具体记录:1、问题描述 如上所述,线上机器与开发机环境不兼容,需要做c++程序的移植。2、表现 细节不表,总之就是程序没法运行,找不到对应的库。如下给出几个跟gcc有关的错误提示:/usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.9' not found/lib64/libc.so.6: version `GLIB 阅读全文
posted @ 2013-11-14 17:46 EE_NovRain 阅读(6169) 评论(3) 推荐(3) 编辑